/*
 * Copyright (c) 2012 AgroSense.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    AgroSense - initial API and implementation and/or initial documentation
 */
package nl.cloudfarming.client.task;

import java.util.Map;
import java.util.concurrent.Future;
import org.geotools.coverage.grid.GridCoverage2D;

/**
 * Describes functionality to export a task.
 * 
 * 
 * 
 * @author Timon Veenstra <monezz@gmail.com>
 */
public interface TaskExporter {
    
    /**
     * Export the task.
     * How and what will be exported depends on the implementation.
     * 
     * @param ExportableTask task to export
     * @param Map<String,Object> exportProperties
     */
    Future exportTask(final Map<String,Object> exportProperties, ExportableTask... task);
    
    /**
     * generate a grid containing the preview of the export.
     * grid can be used to display the preview on the map.
     * 
     * 
     * @param task
     * @return 
     */
    GridCoverage2D generateExportPreviewGrid(ExportableTask task);
   
}
