/**
 * Copyright (C) 2010-2012 Agrosense info@agrosense.eu
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License"); you may
 * not use this file except in compliance with the License. You may obtain a
 * copy of the License at
 *
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package nl.cloudfarming.client.task.factory;

import nl.cloudfarming.client.task.Task;

/**
 *
 * @author Maciek Dulkiewicz <maciek.dulkiewicz@ordina.nl>
 */
public interface TaskObjectFactory {
    
    boolean canCreate(Class clazz);
    
    /**
     * SelectionModes, for example: ListSelectionModel.SINGLE_SELECTION or 
     * ListSelectionModel.SINGLE_INTERVAL_SELECTION or 
     * ListSelectionModel.MULTIPLE_INTERVAL_SELECTION.
     * Specifies how selection of the items for this task should work. 
     * Use for example ListSelectionModel.SINGLE_SELECTION if you want to make a single selection, such as only 1 field.
     * 
     * @param task Task to create item(s) for
     * @param selectionMode SelectionMode as described above.
     * @return 
     */
    Object create(Task task, int selectionMode);
}
